#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_form package

This package is an extension to z3c.form.

It allows to integrate z3c forms into Pyramid; it is adding some features like inner subforms
(handled with adapters), form groups (which are ued to group form fields together inside a
fieldset in a form), modal forms (which are displayed into a modal window), and is providing
default templates for all these elements to be displayed correctly when using PyAMS_zmi package
or any other Bootstrap-based skin.
"""

from pyramid.i18n import TranslationStringFactory


_ = TranslationStringFactory('pyams_form')

__docformat__ = 'restructuredtext'


def includeme(config):
    """Pyramid include

    Split in another package to remove cyclic dependencies with TranslationStringFactory
    """
    from .include import include_package  # pylint: disable=import-outside-toplevel
    include_package(config)
